### Method

# Gtk Window set_title

#### Declaration [src]

    void
    gtk_window_set_title (
      GtkWindow* window,
      const char* title
    )

#### Description [src]

Sets the title of the `GtkWindow`.

The title of a window will be displayed in its title bar; on the X Window System, the title bar is rendered by the window manager so exactly how the title appears to users may vary according to a user’s exact configuration. The title should help a user distinguish this window from other windows they may have open. A good title might include the application name and current document filename, for example.

Passing `NULL` does the same as setting the title to an empty string.

Sets property | `Gtk.Window:title`

#### Parameters

`title` | `const char*`
| Title of the window.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.